## Kapitel 2. Start GIMP

## 1. Sådan startes GIMP

Usually you start GIMP either by clicking GIMP's icon on your desktop (if available), selecting it from a menu, or by typing gimp on a command line. If you have multiple versions of GIMP installed, you may need to add the exact version number: gimp-3.0.

Du kan, hvis du vil, angive en liste over billedfilnavne på kommandolinjen efter programnavnet, så GIMP automatisk åbner disse filer, når det starter. Det er også muligt at åbne filer fra GIMP, når programmet kører, ved hjælp af dialogen Åbn billede.

De fleste styresystemer understøtter filtilknytninger, der knytter en klasse af filer (som bestemt ved deres filtypenavn såsom .jpg) til et tilsvarende program (såsom GIMP). Når billedfiler er korrekt “knyttet” til GIMP, kan du dobbeltklikke på et billede for at åbne det i GIMP.

Hvis du har installeret Flatpak-versionen af GIMP fra flathub.org, starter du GIMP enten ved at klikke på et ikon eller ved at skrive flatpak run org.gimp.GIMP//stable på en kommandolinje.

### 1.1. Ændring af sprog

GIMP registrerer og bruger automatisk systemsproget. I det usandsynlige tilfælde, at sprogregistrering mislykkes, eller hvis du vil bruge et andet sprog, er det nemmest at ændre sproget i Grænsefladeindstillingerne: Redigér → Indstillinger. Gå derefter til afsnittet Grænseflade; Sprog kan indstilles øverst.

Hvis du foretrækker at skifte sprog ved at angive miljøvariabler, kan du bruge:

Under Linux

  I LINUX: I konsoltilstand skal du skrive `LANGUAGE=en gimp` eller `LANG=en gimp` og erstatte “en” med “da”, “de” osv. i henhold til det ønskede sprog. Baggrund: Brug af `LANGUAGE=en` indstiller en miljøvariabel for det kørte program `gimp`.

Under Windows

  Kontrolpanel → System → Avanceret → Miljø-knappen i “Systemvariable”-området: Tilføj-knappen: Indtast LANG for Navn og da, fr, de osv. for værdi. Bemærk! Du skal klikke på OK tre gange i træk for at validere dit valg.

  If you change languages often, you can create a batch file to change the language. Open NotePad. Type the following commands (for French for instance):

  `set lang=fr
  start gimp-3.0.exe`

  Save this file as `GIMP-FR.BAT` (or another name, but always with a `.BAT` extension). Create a shortcut and drag it to your desktop.

Under Apple macOS

  Fra Systemindstillinger skal du klikke på Generelt i sidebjælken. Vælg derefter Sprog & område. Det ønskede sprog skal være det første på listen.

En anden forekomst af GIMP

  You can use command line parameter `-n` to run multiple instances of GIMP. For example, `gimp-3.0` starts GIMP in the default system language, and `LANGUAGE=en gimp-3.0 -n` starts another instance of GIMP in English. This can be very useful for translators.

### 1.2. Kommandolinjeargumenter

Selvom kommandolinjeargumenter ikke er påkrævet, når du starter GIMP, kan de være nyttige i nogle situationer. På et Unix-system kan du bruge `man gimp` for at se en komplet liste.

These arguments must be added to the command line that you use to start GIMP as gimp-3.0 [OPTION...] [FILE|URI...], where “OPTION...” can be one or more of the arguments listed below, followed by one or more file names.

-?, -h, --help

  Viser en liste over alle kommandolinjetilvalg.

--help-all

  Viser alle tilvalg for hjælp.

--help-gegl

  Viser alle GEGL-tilvalg.

--help-gtk

  Viser GTK+-tilvalg.

-v, --version

  Viser GIMP-versionen og afslutter.

--license

  Viser licensoplysninger og afslutter.

--verbose

  Viser detaljerede opstartsmeddelelser.

-n, --new-instance

  Starter en ny forekomst af GIMP.

-a, --as-new

  Åbner billeder som nye.

-i, --no-interface

  Starter uden en brugergrænseflade.

-d, --no-data

  Mønstre, gradueringer, paletter eller pensler indlæses ikke. Ofte nyttigt i ikkeinteraktive situationer, hvor opstartstiden skal minimeres.

-f, --no-fonts

  Skrifttyper indlæses ikke. Dette er nyttigt til at indlæse GIMP hurtigere for programmer, der ikke bruger skrifttyper, eller til at finde problemer relateret til forkert udformede skrifttyper, der får GIMP til at hænge.

-s, --no-splash

  Opstartsbilledet vises ikke under opstart.

--no-shm

  Hukommelse deles ikke mellem GIMP og udvidelsesmoduler.

--no-cpu-accel

  Specielle CPU-accelerationsfunktioner bruges ikke. Nyttig til at finde eller deaktivere fejlbehæftet accelereret hardware eller funktioner.

--session=`navn`

  Bruger en anden `sessionrc` til denne GIMP-session. Det givne sessionsnavn føjes til standard-`sessionrc`-filnavnet.

-g, --gimprc=`filename`

  Bruger en alternativ `gimprc`-fil i stedet for standarden. `gimprc`-filen indeholder en oversigt over dine indstillinger. Nyttig i tilfælde, hvor udvidelsesmodulstier eller maskinspecifikationer kan være forskellige.

--system-gimprc=`filename`

  Bruger en alternativ `gimprc`-systemfil.

-b, --batch=`commands`

  Udfører sættet af kommandoer ikkeinteraktivt. Sættet af kommandoer er typisk i form af et program, der kan udføres af en af GIMP-programfortolkerne. Når kommandoen er `-`, læses kommandoer fra standardinput.

--batch-interpreter=`proc`

  Angiver den procedure, der skal bruges til at behandle batchkommandoer. Standardproceduren er Script-Fu.

--quit

  Afslut umiddelbart efter at have udført de ønskede handlinger

-c, --console-messages

  Dialoger med fejl eller advarsler vises ikke. Udskriver i stedet meddelelserne i konsollen.

--pdb-compat-mode=`tilstand`

  Kompabilitetstilstand for proceduredatabase (PDB) (off|on|warn)

--stack-trace-mode=`tilstand`

  Fejlsøgning i tilfælde af nedbrud (never|query|always).

--debug-handlers

  Aktiverer håndtering af ikkefatale fejlsøgningssignaler. Nyttig til GIMP-fejlsøgning.

--g-fatal-warnings

  Gør alle advarsler fatale. Nyttig til fejlsøgning.

--dump-gimprc

  Udskriver en gimprc-fil med standardindstillinger. Nyttigt hvis du har ødelagt gimprc-filen.

--show-playground

  Viser en indstillingsside med eksperimentelle funktioner.

--display=`display`

  Bruger det angivne X-display (gælder ikke for alle platforme).

### 1.3. Konfigurationsmappe

Ved første kørsel opretter GIMP en konfigurationsmappe. Alle konfigurationsoplysninger gemmes i denne mappe. Hvis du fjerner eller omdøber mappen, gentager GIMP den indledende konfigurationsproces og opretter en ny konfigurationsmappe.

Den præcise placering af din konfigurationsmappe afhænger af dit styresystem:

Under Linux:

  `$XDG_CONFIG_HOME`

  Usually: `$HOME/.config/GIMP/3.0/`

Under Microsoft Windows using environment variables:

  `%APPDATA%\GIMP\3.0\`

  Usually: `%USERPROFILE%\AppData\Roaming\GIMP\3.0\`

Under Apple macOS:

  `NSApplicationSupportDirectory`

  Usually: `~/Library/Application Support/GIMP/3.0/`

### 1.4. Tips og tricks

Et par forslag før du går i gang:

- GIMP kan give tips, du kan læse til enhver tid ved hjælp af menukommandoen Hjælp → Dagens tip. Tippene giver oplysninger, der anses for nyttige, men ikke lette at lære ved at eksperimentere, så de er værd at læse. Læs tippene, når du har tid.

- Hvis du på et tidspunkt forsøger at gøre noget, og GIMP pludselig ser ud til at være holdt op med at fungere, kan afsnittet Kom videre, når du sidder fast hjælpe dig.

- Glem ikke at tjekke dialogen Indstillinger. GIMP kan tilpasses meget. Der er mange indstillinger, som du kan justere i forhold til dine personlige præferencer.

2. Nyheder i GIMP |  | Kapitel 3. De første skridt med GIMP

Report a bug in GIMP Rapportér en fejl i fejlsporing